LibreOffice: cppu::ImplHelper12< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10, Ifc11, Ifc12 > Class Template Reference

LibreOffice LibreOffice 4.4 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Protected Member Functions | List of all members
cppu::ImplHelper12< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10, Ifc11, Ifc12 > Class Template Reference

Implementation helper implementing interface com::sun::star::lang::XTypeProvider and method XInterface::queryInterface(), but no reference counting. More...

`#include <implbase12.hxx>`

Inheritance diagram for cppu::ImplHelper12< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10, Ifc11, Ifc12 >:

## Public Member Functions
virtual com::sun::star::uno::Any | queryInterface (com::sun::star::uno::Type const &rType) SAL_OVERRIDE throw (com::sun::star::uno::RuntimeException, std::exception)
virtual com::sun::star::uno::Sequence< com::sun::star::uno::Type > | getTypes () SAL_OVERRIDE throw (com::sun::star::uno::RuntimeException, std::exception)
virtual com::sun::star::uno::Sequence< sal_Int8 > | getImplementationId () SAL_OVERRIDE throw (com::sun::star::uno::RuntimeException, std::exception)

## Protected Member Functions
| ~ImplHelper12 () throw ()

## Detailed Description

### template<class Ifc1, class Ifc2, class Ifc3, class Ifc4, class Ifc5, class Ifc6, class Ifc7, class Ifc8, class Ifc9, class Ifc10, class Ifc11, class Ifc12>
class cppu::ImplHelper12< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10, Ifc11, Ifc12 >

Implementation helper implementing interface com::sun::star::lang::XTypeProvider and method XInterface::queryInterface(), but no reference counting.

Derive:

Inherit from this class giving your interface(s) to be implemented as template argument(s). Your sub class defines method implementations for these interface(s) including acquire()/ release() and delegates incoming queryInterface() calls to this base class.

## Constructor & Destructor Documentation

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 , class Ifc6 , class Ifc7 , class Ifc8 , class Ifc9 , class Ifc10 , class Ifc11 , class Ifc12 >

cppu::ImplHelper12< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10, Ifc11, Ifc12 >::~ImplHelper12 | ( |  | ) |
throw | ( |
| ) |  |
| inlineprotected

## Member Function Documentation

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 , class Ifc6 , class Ifc7 , class Ifc8 , class Ifc9 , class Ifc10 , class Ifc11 , class Ifc12 >

virtual com::sun::star::uno::Sequence< sal_Int8 > cppu::ImplHelper12< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10, Ifc11, Ifc12 >::getImplementationId | ( |  | ) |
throw | ( | com::sun::star::uno::RuntimeException,
|  | std::exception
| ) |  |
| inlinevirtual

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 , class Ifc6 , class Ifc7 , class Ifc8 , class Ifc9 , class Ifc10 , class Ifc11 , class Ifc12 >

virtual com::sun::star::uno::Sequence< com::sun::star::uno::Type > cppu::ImplHelper12< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10, Ifc11, Ifc12 >::getTypes | ( |  | ) |
throw | ( | com::sun::star::uno::RuntimeException,
|  | std::exception
| ) |  |
| inlinevirtual

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 , class Ifc6 , class Ifc7 , class Ifc8 , class Ifc9 , class Ifc10 , class Ifc11 , class Ifc12 >

virtual com::sun::star::uno::Any cppu::ImplHelper12< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10, Ifc11, Ifc12 >::queryInterface | ( | com::sun::star::uno::Type const & | rType | ) |
throw | ( | com::sun::star::uno::RuntimeException,
|  | std::exception
| ) |  |
| inlinevirtual

The documentation for this class was generated from the following file:

- cppuhelper/implbase12.hxx